No Longer Supporting Older Browsers

Hello deviants!!

This information brought to you by $Heidi's HQ Blog post.

The Internet is an ever-changing place.  To take advantage of all it has to offer -- in terms of applications, games, add-ons and more -- it's important to surf the Net using a modern browser.  The new capabilities made available in major browser releases allow Web developers (at deviantART and otherwise) to build faster, more stable and secure, Web technology.

What does this mean for you?

DeviantArt offers a number of features that work best, or only work, using modern browsers.  Therefore, we strongly recommend that you download the latest version of your favorite browser.






We no longer support the following browser versions:


Firefox 3.6

Chrome 8

Safari 4

Internet Explorer 7

Opera 11.52

When you're using one of those versions and visiting DeviantArt, the site is essentially broken -- it's not working as we intended.  We no longer accept bug reports for those versions, as it's extremely time consuming and leads to error prone code to maintain hacks.  Before deciding on this change, we run an Analytics report by browsers -- the ones we've ceased supporting make up a miniscule portion of the traffic, yet they contribute disproportionately to bug reports.

How do I know what browser version I'm using?

If you're using one of the versions we no longer support, you'll be prompted to upgrade to a newer release when visiting DeviantArt.  (You'll still be able to access and use DeviantArt, but we will ask you to upgrade as we feel that new browsers are necessary for any reasonable type of experience.)  If you're not prompted to upgrade, it's still important to check and make sure you're using a latest release.

Because it's worth it

Modern browsers allow for new features and a more customizable browsing experience.  See all the Web has to offer by ensuring that your browser is up-to-date.  

Thank you!  ;)

~$Heidi

 

 

Please also see: Which browsers and Mobile OS are supported by DeviantArt?

Was this article helpful?
47 out of 49 found this helpful
Have more questions? Submit a request

2 Comments

  • 0
    Avatar
    ewm

    It's been brought to our attention that if you are using Internet Explorer with the Compatibility mode enabled that it masks your Browser as IE 7 which we no longer support. If you disable this feature you will be able to use your up to date version of IE without any trouble. :)

    To access this aspect of Internet Explorer all you need to do is select Tools, Compatibility Settings, and the following popup will display.

    IE8CompatibilityMode.PNG

  • 0
    Avatar
    ewm

    deviantART currently supports the following browsers;

    Internet Explorer 11 and 10.0
    Firefox (Latest Official Release)
    Safari (Latest Official Release)
    Chrome (Latest Official Release)
    Opera (Latest Official Release)

    If you are experiencing issues with the site please ensure you are using the most recent version of your browser before contacting the Help Desk.

Article is closed for comments.